summaryrefslogtreecommitdiff
path: root/autogen
diff options
context:
space:
mode:
authorGlenn Morris <rgm@gnu.org>2011-04-05 21:15:53 -0700
committerGlenn Morris <rgm@gnu.org>2011-04-05 21:15:53 -0700
commit11043dbd42f18b18f174dca8f04693907ff47a5c (patch)
tree4ec33fc3f367583f1924e43871a4dcb05e994bbc /autogen
parent12fd53e24373b44c14d0a479fbad6e9937403696 (diff)
downloademacs-11043dbd42f18b18f174dca8f04693907ff47a5c.tar.gz
* autogen/update_autogen: Add a separate -L option for ldefs-boot.el.
Diffstat (limited to 'autogen')
-rwxr-xr-xautogen/update_autogen10
1 files changed, 7 insertions, 3 deletions
diff --git a/autogen/update_autogen b/autogen/update_autogen
index 6c9766ead52..d1687b293e9 100755
--- a/autogen/update_autogen
+++ b/autogen/update_autogen
@@ -51,7 +51,7 @@ cd ../
usage ()
{
cat 1>&2 <<EOF
-Usage: ${PN} [-f] [-c] [-q] [-l] [-C] [-- make-flags]
+Usage: ${PN} [-f] [-c] [-q] [-l [-L]] [-C] [-- make-flags]
Update the generated files in the Emacs autogen/ directory.
Options:
-f: force an update even if the source files are locally modified.
@@ -60,6 +60,7 @@ Options:
-q: be quiet; only give error messages, not status messages.
-l: also update the versioned loaddefs-like files in lisp/.
This requires a build. Passes any non-option args to make (eg -- -j2).
+-L: also update ldefs-boot.el.
-C: start from a clean state. Slower, but more correct.
EOF
exit 1
@@ -73,6 +74,7 @@ commit=
quiet=
clean=
ldefs_flag=
+lboot_flag=
## Parameters.
ldefs_in=lisp/loaddefs.el
@@ -91,7 +93,7 @@ tempfile=/tmp/$PN.$$
trap "rm -f $tempfile 2> /dev/null" EXIT
-while getopts ":hcflqC" option ; do
+while getopts ":hcflqCL" option ; do
case $option in
(h) usage ;;
@@ -105,6 +107,8 @@ while getopts ":hcflqC" option ; do
(C) clean=1 ;;
+ (L) lboot_flag=1 ;;
+
(\?) die "Bad option -$OPTARG" ;;
(:) die "Option -$OPTARG requires an argument" ;;
@@ -264,7 +268,7 @@ echo "Running lisp/ make..."
make -C lisp "$@" autoloads EMACS=../src/bootstrap-emacs || die "make src error"
-cp $ldefs_in $ldefs_out || die "cp ldefs_boot error"
+[ ! "$lboot_flag" ] || cp $ldefs_in $ldefs_out || die "cp ldefs_boot error"
cd lisp